import request from '@/utils/request'

// 查询巡检记录列表
export function listDmsRecordInspect(query) {
  return request({
    url: '/dms/dmsRecordInspect/list',
    method: 'get',
    params: query
  })
}

// 查询巡检记录详细
export function getDmsRecordInspect(recordInspectId) {
  return request({
    url: '/dms/dmsRecordInspect/' + recordInspectId,
    method: 'get'
  })
}

// 新增巡检记录
export function addDmsRecordInspect(data) {
  return request({
    url: '/dms/dmsRecordInspect',
    method: 'post',
    data: data
  })
}

// 修改巡检记录
export function updateDmsRecordInspect(data) {
  return request({
    url: '/dms/dmsRecordInspect',
    method: 'put',
    data: data
  })
}

// 删除巡检记录
export function delDmsRecordInspect(recordInspectId) {
  return request({
    url: '/dms/dmsRecordInspect/' + recordInspectId,
    method: 'delete'
  })
}
